Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.errai.reflections.scanners
Class ConvertersScanner

    java.lang.Object
      org.jboss.errai.reflections.scanners.AbstractScanner
          org.jboss.errai.reflections.scanners.ConvertersScanner

All Implemented Interfaces:
  Scanner

    public class ConvertersScanner

extends AbstractScanner

scans for methods that take one class as an argument and returns another class

Constructor Summary
`ConvertersScanner()`

Method Summary
`static java.lang.String` | `getConverterKey(java.lang.Class<?> from, java.lang.Class<?> to)`
`static java.lang.String` | `getConverterKey(java.lang.String from, java.lang.String to)`
`void` | `scan(java.lang.Object cls)`

Methods inherited from class org.reflections.scanners.AbstractScanner
`acceptResult, acceptsInput, filterResultsBy, getConfiguration, getMetadataAdapter, getName, getResultFilter, getStore, scan, setConfiguration, setResultFilter, setStore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertersScanner

    public ConvertersScanner()

Method Detail

### scan

    public void scan(java.lang.Object cls)

  Specified by:
    `scan` in class `AbstractScanner`

### getConverterKey

    public static java.lang.String getConverterKey(java.lang.String from,
                                                   java.lang.String to)

### getConverterKey

    public static java.lang.String getConverterKey(java.lang.Class<?> from,
                                                   java.lang.Class<?> to)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.